IgorZ

[1.7.1] Kerbal Attachment System (KAS) v1.4 - NOT COMPATIBLE WITH KSP 1.7.0

Recommended Posts

4 minutes ago, Tonka Crash said:

Yep the Flex-O-Tubes use the same plugin and I ran into a player last night that was reporting they were broken. I don't use MKS, but I've seen the same problem with KPBS flexible corridors. I haven't tried using the old KAS.dll in 1.7 to keep them working. I'm at the point in my current game that I've just started building a base and have steered clear of flex tubes until this can get resolved.

You can modify the length of the cable connections with a patch:


@PART[KAS.PCB1]:FINAL // PCB-1 Portable Cable Brace
{
    @MODULE[KASJointCableBase]
    {
		@maxLinkLength = 20	// spools can hold lots of cable ;)
    }
}

 

Hmm, that's not ideal - I guess I'll be avoiding 1.7 for a while on that basis at least, then.  Thanks for the patch, as well - that might make some sort of update path possible in the end...

I don't suppose you happen to know if the upgrade pipeline also processes .craft files? :)

 

Share this post


Link to post
Share on other sites
14 minutes ago, ChrisF0001 said:

I don't suppose you happen to know if the upgrade pipeline also processes .craft files? :)

I'm just guessing, but I don't think the upgrade can run until a craft is loaded in the VAB. I don't see how it would affect saved .craft files. Personally I haven't used any of the Legacy parts since last summer when I switched to the KAS 1.0 version while it was still technically in pre-release development.

Share this post


Link to post
Share on other sites
10 hours ago, ChrisF0001 said:

I don't suppose you happen to know if the upgrade pipeline also processes .craft files? :)

The .craft files are explicitly excluded from the upgrade process. Only save games are upgraded. And if you want to prevent the upgrade, simply delete or rename "COMP_*" file s in the patch folder. If you want to exclude only some parts, you'll need to edit those files. Simple change like removing a specific patch shouldn't be a big issue, the file syntax is very obvious in this sense.

Share this post


Link to post
Share on other sites
Posted (edited)
On 4/8/2019 at 5:13 AM, IgorZ said:

ATTENTION to the legacy part users. READ THE RELEASE NOTES!!!

1.2 (Apr 8th, 2019):

  • [Change] ATTENTION! The legacy parts are not provided in this version!!! Read Wiki for more details.
  • [Enhancement] Add French localization.
  • [Enhancement] Add Portuguese localization.
  • [Enhancement #260] Add a setting to control the couple state on link.
  • [Change] Major update to the basic renderer module to increase UX experience.
  • [Fix #236] Support action groups in winches.
  • [Fix #252] NRE when entering the vessel from EVA.
  • [Fix #255] KAS link throws when loading save file.
  • [Fix #258] Connectors break on entering the physics bubble.
  • [Fix #260] Add a setting to control the couple state on link.

Thanks for the update, but bad timing? 1.7.0 came out shortly after, and I just noticed today (started a new Career save game, didn't get the parts until today) that both winch parts aren't working. Right-click menu only has Aim Camera and Auto-strut, no winching functions.

https://imgur.com/a/4C9pKhd

Edited by capran

Share this post


Link to post
Share on other sites
Posted (edited)
50 minutes ago, capran said:

Thanks for the update, but bad timing? 1.7.0 came out shortly after, and I just noticed today (started a new Career save game, didn't get the parts until today) that both winch parts aren't working. Right-click menu only has Aim Camera and Auto-strut, no winching functions.

https://imgur.com/a/4C9pKhd

KSP 1.7 broke KAS 1.2 and some other mods. I don't know if KAS 1.1 works.

Either roll back to 1.6.1 or live without KAS until Igorz can fix it.

Edited by Tonka Crash

Share this post


Link to post
Share on other sites
6 hours ago, Kilo60 said:

Anyone know where to get the old KAS Legacy Parts?

Use 1.1

Share this post


Link to post
Share on other sites
4 hours ago, goldenpsp said:

Use 1.1

Ok where can I DL 1.1?

 

Thanks!

Share this post


Link to post
Share on other sites
2 minutes ago, Kilo60 said:

Ok where can I DL 1.1?

 

Thanks!

Why don't you go look?  I'd bet there are download links in the OP of this thread with all of the versions

Share this post


Link to post
Share on other sites
41 minutes ago, Kilo60 said:

Ok where can I DL 1.1?

 

Thanks!

You can look on Spacedock, it allows you to download old versions of the mod.

Share this post


Link to post
Share on other sites
1 hour ago, Kilo60 said:

Ok where can I DL 1.1?

KAS can be downloaded from GitHub, CurseForge and Spacedock. All three sources allow downloading old versions. Afaik, even CKAN allows it. Keep in mind that old parts are not supported since KSP 1.5.

Share this post


Link to post
Share on other sites
21 hours ago, TiberiusPimpstik said:

KAS 1.1 builds for 1.7 just fine just have to update reference dlls, thankfully i tried it, i couldnt get 1.2 to build. https://imgur.com/a/ZNZjEsd

If you really cant wait building 1.1 for 1.7.0 works just fine

what do you mean by "update reference dlls"? im a luddite

Share this post


Link to post
Share on other sites
2 hours ago, Jagzeplin said:

what do you mean by "update reference dlls"? im a luddite

Im basically in the same boat as you, I'm just pretty good at figuring things out. When you open the KAS project file for 1.1 in Visual studio there is a references section of the project, just right click on the references item, click add reference and then point it at the dlls from  "Kerbal Space Program\KSP_x64_Data\Managed" for each of the references listed with a yellow icon next to them. Sorry if its not exactly clear, I just googled update ksp plugins and learned from there only a few days ago

Share this post


Link to post
Share on other sites

Im still on KSP 1.6 and the KAS update deleted every ship I had in the current save.   Got the same warning pop ups, so then I poked around on the forum and saw the legacy page.  After reading the Legacy page and seeing the update pipeline.  I made a backup ( exited game and copied the whole directory to another folder, easiest way to do it if you have the space ) and then relaunched the game and clicked OK on the pop up warning.  I then got the same errors that in flight ships could not load.  Ships... bases... orbiting stations... outposts.... I mean every single thing I had off Kerbin could not load.   So I do not feel it is a 1.7 issue.   Upgrade pipeline is broke for another reason.  Hopefully will be resolved soon.  For now will need to revert back to a previous backup. 

Its kinda humorous that the Legacy page says...   We've been telling everyone for months...    But I, like probably many others, don't read through the forums when I'm bored.  I'm to busy playing the game.   Cept for like today.  

Stay strong everyone!

Share this post


Link to post
Share on other sites
Posted (edited)
5 hours ago, DaveLChgo said:

I. 

Its kinda humorous that the Legacy page says...   We've been telling everyone for months...    But I, like probably many others, don't read through the forums when I'm bored.  I'm to busy playing the game.   Cept for like today.  

 

@DaveLChgo I agree but you could subscribe to all the threads of the mods you use and you will then get the notifications to your email of all the changes reducing the pain of sudden changes when they occur. And yes I am subscribed to over 80 threads. 

Edited by Kwarazi

Share this post


Link to post
Share on other sites
6 hours ago, DaveLChgo said:

Im still on KSP 1.6 and the KAS update deleted every ship I had in the current save.   Got the same warning pop ups, so then I poked around on the forum and saw the legacy page.  After reading the Legacy page and seeing the update pipeline.  I made a backup ( exited game and copied the whole directory to another folder, easiest way to do it if you have the space ) and then relaunched the game and clicked OK on the pop up warning.  I then got the same errors that in flight ships could not load.  Ships... bases... orbiting stations... outposts.... I mean every single thing I had off Kerbin could not load.   So I do not feel it is a 1.7 issue.   Upgrade pipeline is broke for another reason.  Hopefully will be resolved soon.  For now will need to revert back to a previous backup. 

Its kinda humorous that the Legacy page says...   We've been telling everyone for months...    But I, like probably many others, don't read through the forums when I'm bored.  I'm to busy playing the game.   Cept for like today.  

Stay strong everyone!

Feels bad.

Reading through the entire thread is not a requirement to stay on top of things.  A simply scan of the changelog before upgrading is simple, quick and generally an excellent idea, especially if you are upgrading mid save.  The very first change in the 1.2 changelog is:

[Change] ATTENTION! The lagacy parts are not provided in this verison!!! Read Wiki for more details.

 

Share this post


Link to post
Share on other sites

It's not easy for modders to get important messages out to the community.  They only have limited comms channels - typically the mod thread on this forum, github and Discord - and they are entirely reliant on their user base voluntarily reading those channels.

In this instance, the KAS team did everything in their power to ensure a smooth transition - every part was clearly marked as Legacy and due for removal in the parts list in game for several months now and they even went so far as to build an automated upgrade process, which is a service many modders wouldn't have thought to provide.  Unfortunately for KAS, something in the KSP 1.7 means the relevant upgrade dll isn't loading.  This was an unforeseen issue and not something they could have anticipated.  IgorZ has already stated that he'll look into it as soon as he can, so the best we can offer right now is our patience and ongoing support.

In the meantime, you'll need to roll back to legacy KAS to continue playing existing saves.  Or you could hyperdit all ships to manually upgrade legacy KAS parts.

For my part, I considered it a career challenge and removed all the legacy parts in EVA, then sent supply & service missions with new parts and finally upgraded KAS once done.

Share this post


Link to post
Share on other sites
1 hour ago, Friznit said:

It's not easy for modders to get important messages out to the community.  They only have limited comms channels - typically the mod thread on this forum, github and Discord - and they are entirely reliant on their user base voluntarily reading those channels.

In this instance, the KAS team did everything in their power to ensure a smooth transition - every part was clearly marked as Legacy and due for removal in the parts list in game for several months now and they even went so far as to build an automated upgrade process, which is a service many modders wouldn't have thought to provide.  Unfortunately for KAS, something in the KSP 1.7 means the relevant upgrade dll isn't loading.  This was an unforeseen issue and not something they could have anticipated.  IgorZ has already stated that he'll look into it as soon as he can, so the best we can offer right now is our patience and ongoing support.

In the meantime, you'll need to roll back to legacy KAS to continue playing existing saves.  Or you could hyperdit all ships to manually upgrade legacy KAS parts.

For my part, I considered it a career challenge and removed all the legacy parts in EVA, then sent supply & service missions with new parts and finally upgraded KAS once done.

Another option for swapping parts is to turn on KIS Debug mode and you can spawn parts directly into your Kerbal's inventory.

 

@KISConfig:FINAL
{
    @Global
    {
    	@itemDebug = true // Allows spawning parts
    }
}

 

Share this post


Link to post
Share on other sites
20 hours ago, RealKerbal3x said:

You can look on Spacedock, it allows you to download old versions of the mod.

So can the legacy parts be merged with th current KAS version or do they overwrite?

Share this post


Link to post
Share on other sites
1 minute ago, Kilo60 said:

So can the legacy parts be merged with th current KAS version or do they overwrite?

I don't know (ask @IgorZ) but at least you can find KAS 1.1 (which still has the legacy parts) on Spacedock.

Share this post


Link to post
Share on other sites
44 minutes ago, Kilo60 said:

So can the legacy parts be merged with th current KAS version or do they overwrite?

The legacy parts are unique and stand on their own. You can copy the Legacy tree out of KAS 1.1 to the same spot in KAS 1.2, but the legacy parts have not been supported since January and there have been reports of parts like the Harpoon no longer working in 1.6+.

Share this post


Link to post
Share on other sites
47 minutes ago, Tonka Crash said:

The legacy parts are unique and stand on their own. You can copy the Legacy tree out of KAS 1.1 to the same spot in KAS 1.2, but the legacy parts have not been supported since January and there have been reports of parts like the Harpoon no longer working in 1.6+.

Damn!!!

 

The harpoon was one of my favorite parts of this mod!  :(

Share this post


Link to post
Share on other sites

@IgorZ I've been using KAS 1.2 for a while and I noticed that the telescopic joint/towbar now looks identical to a socket. Is this intentional?

Share this post


Link to post
Share on other sites
1 hour ago, RealKerbal3x said:

@IgorZ I've been using KAS 1.2 for a while and I noticed that the telescopic joint/towbar now looks identical to a socket. Is this intentional?

welcome to KSP 1.7 with KAS 1.2  it is broken. no that is now how it should work , but that is what you will get at this time until KAS 1.2 is tweeked just a bit to work with KSP 1.7 (estimated 1 or 2 weeks, per mod dev post a page or so back).

The only way to fix/solve is to do a recomplie yourself (if that even works) or return to KSP 1.6.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.